/*

!! Remember to set your Mapbox access token in the tiapp.xml, e.g.

<key>MGLMapboxAccessToken</key>
<string>YOUR_API_KEY</string>

*/


// Used for sizing the map view to fit the screen bounds
var UIScreen = require('UIKit/UIScreen');
var UIViewAutoresizingFlexibleWidth = require('UIKit').UIViewAutoresizingFlexibleWidth;
var UIViewAutoresizingFlexibleHeight = require('UIKit').UIViewAutoresizingFlexibleHeight;
var CGRectMake = require('CoreGraphics').CGRectMake;

// The main Mapbox map view
var MGLMapView = require('Mapbox/MGLMapView');
 
// Equivalent to [[MGMapView alloc] initWithFrame:CGRectMake(0,0, <width>, <height>)];
var mapView = MGLMapView.alloc().initWithFrame(CGRectMake(0, 0, $.index.getWidth(), $.index.getHeight()));
  
$.index.add(mapView);
$.index.open();
